Unit BleepInt; { Bleeper/BleepInt/GWBleep Version 5.2 }

{ Copyright 1999 Andy Preston - Apollo Developments, Swindon U.K. andy@anorak.org.uk

  HACKERS OF THE WORLD UNITE!    HACKERS OF THE WORLD UNITE!    HACKERS OF THE WORLD UNITE!    HACKERS OF THE WORLD UNITE!

  How to make your Delphi programs bleep like FRACTINT, using the bleeper unit, see bleepint.htm for details

  This unit is free software; you can redistribute it and/or modify it under the terms of the GNU Library General Public
  License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

  This unit is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Library General Public License for more details.

  You should have received a copy of the GNU Library General Public License along with this unit; if not, write to the
  Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
}

Interface

Type
  TBleepType= (bOK, bInterrupt, bError);

Procedure Bleep (BleepType : TBleepType);

Implementation

Uses
  Bleeper;

Procedure Bleep (BleepType : TBleepType);
Begin
  Case BleepType Of
    bOK : Begin
        DoBleep (1047, 100);
        DoBleep (1109, 100);
        DoBleep (1175, 100);
      End;
    bInterrupt : Begin
        DoBleep (2093, 100);
        DoBleep (1976, 100);
        DoBleep (1857, 100);
      End;
    bError : DoBleep (40, 500);
  End;
End;

End.